import endsWith from "ends-with-string";
import { lineFeed, carriageReturnLineFeed } from "./index.js";
function sliceStringOrBuffer(input, start, end) {
    if (typeof input === "string") {
        return input.slice(start, end);
    } else {
        return input.subarray(start, end);
    }
}
export default function removeTerminatingNewline(input) {
    if (endsWith(input, carriageReturnLineFeed)) {
        return sliceStringOrBuffer(input, 0, input.length - carriageReturnLineFeed.length);
    } else if (endsWith(input, lineFeed)) {
        return sliceStringOrBuffer(input, 0, input.length - lineFeed.length);
    } else {
        return input;
    }
}
